import java.time.*;
public class LocalTimeSample{
  public static void main(String[] args) {
    //当前时间
    LocalTime time = LocalTime.now();
    System.out.println("当前时间: "+time);
 
    //根据特定的参数创建LocalTime对象
    LocalTime specificTime = LocalTime.of(12,20,25,40);
    System.out.println("特定的时间: "+specificTime);
 
    //获得欧洲巴黎的当前时间
    LocalTime timeParis = LocalTime.now(ZoneId.of("Europe/Paris"));
    System.out.println("巴黎的当前时间: "+timeParis);
 
    //以“00:00:00”为基准，根据参数指定的秒数开始算时间
    LocalTime specificSecondTime = LocalTime.ofSecondOfDay(60*60*3+60*15+44);
    System.out.println("过特定秒数后的时间: "+specificSecondTime);
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
